	format	MS COFF
	extrn	___bb_appstub_appstub
	extrn	___bb_audio_audio
	extrn	___bb_blitz_blitz
	extrn	___bb_bmploader_bmploader
	extrn	___bb_d3d7max2d_d3d7max2d
	extrn	___bb_d3d9max2d_d3d9max2d
	extrn	___bb_data_data
	extrn	___bb_directsoundaudio_directsoundaudio
	extrn	___bb_eventqueue_eventqueue
	extrn	___bb_freeaudioaudio_freeaudioaudio
	extrn	___bb_freejoy_freejoy
	extrn	___bb_freeprocess_freeprocess
	extrn	___bb_freetypefont_freetypefont
	extrn	___bb_gnet_gnet
	extrn	___bb_jpgloader_jpgloader
	extrn	___bb_macos_macos
	extrn	___bb_maxlua_maxlua
	extrn	___bb_maxutil_maxutil
	extrn	___bb_oggloader_oggloader
	extrn	___bb_openalaudio_openalaudio
	extrn	___bb_openb3d_openb3d
	extrn	___bb_pngloader_pngloader
	extrn	___bb_tgaloader_tgaloader
	extrn	___bb_threads_threads
	extrn	___bb_timer_timer
	extrn	___bb_wavloader_wavloader
	extrn	_angros_openb3d_AddTriangle
	extrn	_angros_openb3d_AddVertex
	extrn	_angros_openb3d_CameraRange
	extrn	_angros_openb3d_CreateCamera
	extrn	_angros_openb3d_CreateCylinder
	extrn	_angros_openb3d_CreateLight
	extrn	_angros_openb3d_CreateMesh
	extrn	_angros_openb3d_CreatePivot
	extrn	_angros_openb3d_CreateSphere
	extrn	_angros_openb3d_CreateSurface
	extrn	_angros_openb3d_EntityFX
	extrn	_angros_openb3d_EntityPitch
	extrn	_angros_openb3d_EntityShininess
	extrn	_angros_openb3d_EntityTexture
	extrn	_angros_openb3d_EntityX
	extrn	_angros_openb3d_EntityY
	extrn	_angros_openb3d_EntityYaw
	extrn	_angros_openb3d_EntityZ
	extrn	_angros_openb3d_FlipMesh
	extrn	_angros_openb3d_Graphics3D
	extrn	_angros_openb3d_LoadShader
	extrn	_angros_openb3d_LoadTexture
	extrn	_angros_openb3d_MoveEntity
	extrn	_angros_openb3d_PositionEntity
	extrn	_angros_openb3d_RenderWorld
	extrn	_angros_openb3d_RotateEntity
	extrn	_angros_openb3d_ScaleEntity
	extrn	_angros_openb3d_ScaleMesh
	extrn	_angros_openb3d_ScaleTexture
	extrn	_angros_openb3d_SetFloat
	extrn	_angros_openb3d_SetFloat3
	extrn	_angros_openb3d_SetFloat4
	extrn	_angros_openb3d_ShadeEntity
	extrn	_angros_openb3d_ShaderTexture
	extrn	_angros_openb3d_Text
	extrn	_angros_openb3d_TurnEntity
	extrn	_angros_openb3d_UpdateNormals
	extrn	_angros_openb3d_VertexNormal
	extrn	_angros_openb3d_VertexTexCoords
	extrn	_bbEnd
	extrn	_bbMilliSecs
	extrn	_bbNullObject
	extrn	_bbStringClass
	extrn	_bbStringConcat
	extrn	_bbStringFromFloat
	extrn	_bbStringFromInt
	extrn	_brl_graphics_Flip
	extrn	_brl_polledinput_KeyDown
	extrn	_brl_polledinput_KeyHit
	extrn	_brl_polledinput_MouseX
	extrn	_brl_polledinput_MouseY
	extrn	_brl_system_HideMouse
	extrn	_brl_system_MoveMouse
	public	__bb_main
	public	_bb_CreateCubeUV
	public	_bb_CreateQuadUV
	public	_bb_MouseLook
	section	"code" code
__bb_main:
	push	ebp
	mov	ebp,esp
	sub	esp,104
	push	ebx
	push	esi
	push	edi
	cmp	dword [_123],0
	je	_124
	mov	eax,0
	pop	edi
	pop	esi
	pop	ebx
	mov	esp,ebp
	pop	ebp
	ret
_124:
	mov	dword [_123],1
	call	___bb_blitz_blitz
	call	___bb_openb3d_openb3d
	call	___bb_appstub_appstub
	call	___bb_audio_audio
	call	___bb_bmploader_bmploader
	call	___bb_d3d7max2d_d3d7max2d
	call	___bb_d3d9max2d_d3d9max2d
	call	___bb_data_data
	call	___bb_directsoundaudio_directsoundaudio
	call	___bb_eventqueue_eventqueue
	call	___bb_freeaudioaudio_freeaudioaudio
	call	___bb_freetypefont_freetypefont
	call	___bb_gnet_gnet
	call	___bb_jpgloader_jpgloader
	call	___bb_maxlua_maxlua
	call	___bb_maxutil_maxutil
	call	___bb_oggloader_oggloader
	call	___bb_openalaudio_openalaudio
	call	___bb_pngloader_pngloader
	call	___bb_tgaloader_tgaloader
	call	___bb_threads_threads
	call	___bb_timer_timer
	call	___bb_wavloader_wavloader
	call	___bb_freejoy_freejoy
	call	___bb_freeprocess_freeprocess
	call	___bb_macos_macos
	push	0
	push	-1
	push	60
	push	2
	push	0
	push	600
	push	800
	call	_angros_openb3d_Graphics3D
	add	esp,28
	push	_bbNullObject
	call	_angros_openb3d_CreatePivot
	add	esp,4
	mov	dword [ebp-32],eax
	push	dword [ebp-32]
	call	_angros_openb3d_CreateCamera
	add	esp,4
	mov	dword [ebp-84],eax
	push	0
	push	-1082130432
	push	1065353216
	push	-1082130432
	push	dword [ebp-32]
	call	_angros_openb3d_PositionEntity
	add	esp,20
	push	1148846080
	push	1036831949
	push	dword [ebp-84]
	call	_angros_openb3d_CameraRange
	add	esp,12
	push	_bbNullObject
	call	_angros_openb3d_CreatePivot
	add	esp,4
	mov	dword [ebp-88],eax
	push	dword [ebp-88]
	push	2
	call	_angros_openb3d_CreateLight
	add	esp,8
	mov	dword [ebp-36],eax
	push	0
	push	0
	push	1067030938
	push	0
	push	dword [ebp-36]
	call	_angros_openb3d_PositionEntity
	add	esp,20
	push	0
	push	0
	push	0
	push	1119092736
	push	dword [ebp-36]
	call	_angros_openb3d_RotateEntity
	add	esp,20
	push	_bbNullObject
	push	32
	call	_angros_openb3d_CreateSphere
	add	esp,8
	mov	esi,eax
	push	1
	push	_22
	call	_angros_openb3d_LoadTexture
	add	esp,8
	mov	ebx,eax
	push	1056964608
	push	1056964608
	push	ebx
	call	_angros_openb3d_ScaleTexture
	add	esp,12
	push	0
	push	0
	push	ebx
	push	esi
	call	_angros_openb3d_EntityTexture
	add	esp,16
	push	0
	push	1140457472
	push	1140457472
	push	1140457472
	push	esi
	call	_angros_openb3d_ScaleEntity
	add	esp,20
	push	1
	push	esi
	call	_angros_openb3d_EntityFX
	add	esp,8
	push	esi
	call	_angros_openb3d_FlipMesh
	add	esp,4
	push	_bbNullObject
	push	1090519040
	push	1090519040
	call	_bb_CreateCubeUV
	add	esp,12
	mov	dword [ebp-80],eax
	push	1090519040
	push	1028443341
	push	1090519040
	push	dword [ebp-80]
	call	_angros_openb3d_ScaleMesh
	add	esp,16
	push	_bbNullObject
	push	1065353216
	push	1082130432
	call	_bb_CreateCubeUV
	add	esp,12
	mov	dword [ebp-64],eax
	push	1082130432
	push	1065353216
	push	1028443341
	push	dword [ebp-64]
	call	_angros_openb3d_ScaleMesh
	add	esp,16
	push	0
	push	0
	push	1065353216
	push	1082130432
	push	dword [ebp-64]
	call	_angros_openb3d_PositionEntity
	add	esp,20
	push	_bbNullObject
	push	1065353216
	push	1082130432
	call	_bb_CreateCubeUV
	add	esp,12
	mov	dword [ebp-72],eax
	push	1082130432
	push	1065353216
	push	1028443341
	push	dword [ebp-72]
	call	_angros_openb3d_ScaleMesh
	add	esp,16
	push	0
	push	0
	push	1065353216
	push	-1065353216
	push	dword [ebp-72]
	call	_angros_openb3d_PositionEntity
	add	esp,20
	push	_bbNullObject
	push	1065353216
	push	1082130432
	call	_bb_CreateCubeUV
	add	esp,12
	mov	dword [ebp-76],eax
	push	1028443341
	push	1065353216
	push	1082130432
	push	dword [ebp-76]
	call	_angros_openb3d_ScaleMesh
	add	esp,16
	push	0
	push	1082130432
	push	1065353216
	push	0
	push	dword [ebp-76]
	call	_angros_openb3d_PositionEntity
	add	esp,20
	push	_bbNullObject
	push	8
	call	_angros_openb3d_CreateSphere
	add	esp,8
	mov	dword [ebp-44],eax
	push	0
	push	1056964608
	push	1056964608
	push	1056964608
	push	dword [ebp-44]
	call	_angros_openb3d_ScaleEntity
	add	esp,20
	push	0
	push	-1073741824
	push	1056964608
	push	0
	push	dword [ebp-44]
	call	_angros_openb3d_PositionEntity
	add	esp,20
	push	_bbNullObject
	push	1082130432
	push	1082130432
	call	_bb_CreateCubeUV
	add	esp,12
	mov	dword [ebp-68],eax
	push	1082130432
	push	1028443341
	push	1082130432
	push	dword [ebp-68]
	call	_angros_openb3d_ScaleMesh
	add	esp,16
	push	0
	push	0
	push	1073741824
	push	0
	push	dword [ebp-68]
	call	_angros_openb3d_PositionEntity
	add	esp,20
	push	_bbNullObject
	push	1
	push	16
	call	_angros_openb3d_CreateCylinder
	add	esp,12
	mov	dword [ebp-56],eax
	push	0
	push	1077936128
	push	1065353216
	push	1077936128
	push	dword [ebp-56]
	call	_angros_openb3d_PositionEntity
	add	esp,20
	push	0
	push	1056964608
	push	1065353216
	push	1056964608
	push	dword [ebp-56]
	call	_angros_openb3d_ScaleEntity
	add	esp,20
	push	_bbNullObject
	push	1
	push	16
	call	_angros_openb3d_CreateCylinder
	add	esp,12
	mov	dword [ebp-60],eax
	push	0
	push	1077936128
	push	1065353216
	push	-1069547520
	push	dword [ebp-60]
	call	_angros_openb3d_PositionEntity
	add	esp,20
	push	0
	push	1056964608
	push	1065353216
	push	1056964608
	push	dword [ebp-60]
	call	_angros_openb3d_ScaleEntity
	add	esp,20
	push	_bbNullObject
	push	1
	push	16
	call	_angros_openb3d_CreateCylinder
	add	esp,12
	mov	dword [ebp-48],eax
	push	0
	push	-1069547520
	push	1065353216
	push	1077936128
	push	dword [ebp-48]
	call	_angros_openb3d_PositionEntity
	add	esp,20
	push	0
	push	1056964608
	push	1065353216
	push	1056964608
	push	dword [ebp-48]
	call	_angros_openb3d_ScaleEntity
	add	esp,20
	push	_bbNullObject
	push	1
	push	16
	call	_angros_openb3d_CreateCylinder
	add	esp,12
	mov	dword [ebp-52],eax
	push	0
	push	-1069547520
	push	1065353216
	push	-1069547520
	push	dword [ebp-52]
	call	_angros_openb3d_PositionEntity
	add	esp,20
	push	0
	push	1056964608
	push	1065353216
	push	1056964608
	push	dword [ebp-52]
	call	_angros_openb3d_ScaleEntity
	add	esp,20
	fld	dword [_136]
	fstp	dword [ebp-4]
	push	dword [ebp-4]
	push	dword [ebp-80]
	call	_angros_openb3d_EntityShininess
	add	esp,8
	push	dword [ebp-4]
	push	dword [ebp-68]
	call	_angros_openb3d_EntityShininess
	add	esp,8
	push	dword [ebp-4]
	push	dword [ebp-64]
	call	_angros_openb3d_EntityShininess
	add	esp,8
	push	dword [ebp-4]
	push	dword [ebp-72]
	call	_angros_openb3d_EntityShininess
	add	esp,8
	push	dword [ebp-4]
	push	dword [ebp-76]
	call	_angros_openb3d_EntityShininess
	add	esp,8
	push	dword [ebp-4]
	push	dword [ebp-44]
	call	_angros_openb3d_EntityShininess
	add	esp,8
	push	dword [ebp-4]
	push	dword [ebp-56]
	call	_angros_openb3d_EntityShininess
	add	esp,8
	push	dword [ebp-4]
	push	dword [ebp-60]
	call	_angros_openb3d_EntityShininess
	add	esp,8
	push	dword [ebp-4]
	push	dword [ebp-48]
	call	_angros_openb3d_EntityShininess
	add	esp,8
	push	dword [ebp-4]
	push	dword [ebp-52]
	call	_angros_openb3d_EntityShininess
	add	esp,8
	push	1
	push	_23
	call	_angros_openb3d_LoadTexture
	add	esp,8
	mov	esi,eax
	push	1
	push	_24
	call	_angros_openb3d_LoadTexture
	add	esp,8
	mov	ebx,eax
	push	1
	push	_25
	call	_angros_openb3d_LoadTexture
	add	esp,8
	mov	dword [ebp-28],eax
	push	_27
	push	_26
	push	_1
	call	_angros_openb3d_LoadShader
	add	esp,12
	mov	edi,eax
	push	0
	push	_28
	push	esi
	push	edi
	call	_angros_openb3d_ShaderTexture
	add	esp,16
	push	1
	push	_29
	push	ebx
	push	edi
	call	_angros_openb3d_ShaderTexture
	add	esp,16
	push	1036831949
	push	1036831949
	push	1036831949
	push	_30
	push	edi
	call	_angros_openb3d_SetFloat3
	add	esp,20
	push	1008981770
	push	_31
	push	edi
	call	_angros_openb3d_SetFloat
	add	esp,12
	push	edi
	push	dword [ebp-80]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	edi
	push	dword [ebp-68]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	edi
	push	dword [ebp-64]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	edi
	push	dword [ebp-72]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	edi
	push	dword [ebp-76]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	edi
	push	dword [ebp-44]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	edi
	push	dword [ebp-56]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	edi
	push	dword [ebp-60]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	edi
	push	dword [ebp-48]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	edi
	push	dword [ebp-52]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	_33
	push	_32
	push	_1
	call	_angros_openb3d_LoadShader
	add	esp,12
	mov	dword [ebp-24],eax
	push	0
	push	_28
	push	esi
	push	dword [ebp-24]
	call	_angros_openb3d_ShaderTexture
	add	esp,16
	push	1
	push	_29
	push	ebx
	push	dword [ebp-24]
	call	_angros_openb3d_ShaderTexture
	add	esp,16
	push	1036831949
	push	1036831949
	push	1036831949
	push	1036831949
	push	_34
	push	dword [ebp-24]
	call	_angros_openb3d_SetFloat4
	add	esp,24
	push	985963430
	push	985963430
	push	985963430
	push	_35
	push	dword [ebp-24]
	call	_angros_openb3d_SetFloat3
	add	esp,20
	push	1008981770
	push	_36
	push	dword [ebp-24]
	call	_angros_openb3d_SetFloat
	add	esp,12
	push	_38
	push	_37
	push	_1
	call	_angros_openb3d_LoadShader
	add	esp,12
	mov	dword [ebp-20],eax
	push	0
	push	_28
	push	esi
	push	dword [ebp-20]
	call	_angros_openb3d_ShaderTexture
	add	esp,16
	push	1
	push	_29
	push	ebx
	push	dword [ebp-20]
	call	_angros_openb3d_ShaderTexture
	add	esp,16
	push	2
	push	_39
	push	dword [ebp-28]
	push	dword [ebp-20]
	call	_angros_openb3d_ShaderTexture
	add	esp,16
	push	1045220557
	push	_40
	push	dword [ebp-20]
	call	_angros_openb3d_SetFloat
	add	esp,12
	push	1065353216
	push	_41
	push	dword [ebp-20]
	call	_angros_openb3d_SetFloat
	add	esp,12
	push	1045220557
	push	1045220557
	push	1045220557
	push	1045220557
	push	_42
	push	dword [ebp-20]
	call	_angros_openb3d_SetFloat4
	add	esp,24
	call	_bbMilliSecs
	mov	dword [ebp-96],eax
	mov	dword [ebp-40],0
	mov	dword [ebp-92],0
	mov	dword [ebp-104],0
	call	_bbMilliSecs
	mov	dword [ebp-100],eax
	call	_brl_system_HideMouse
	push	0
	push	0
	call	_brl_system_MoveMouse
	add	esp,8
	mov	esi,0
	mov	ebx,0
	jmp	_43
_45:
	push	dword [ebp-104]
	push	dword [ebp-100]
	push	dword [ebp-84]
	push	dword [ebp-32]
	call	_bb_MouseLook
	add	esp,16
	fld	dword [_140]
	fstp	dword [ebp-12]
	fld	dword [_141]
	fstp	dword [ebp-8]
	fld	dword [_142]
	fstp	dword [ebp-16]
	push	87
	call	_brl_polledinput_KeyDown
	add	esp,4
	cmp	eax,0
	je	_104
	fld	dword [ebp-8]
	fadd	dword [_143]
	fstp	dword [ebp-8]
_104:
	push	83
	call	_brl_polledinput_KeyDown
	add	esp,4
	cmp	eax,0
	je	_105
	fld	dword [ebp-8]
	fsub	dword [_144]
	fstp	dword [ebp-8]
_105:
	push	65
	call	_brl_polledinput_KeyDown
	add	esp,4
	cmp	eax,0
	je	_106
	fld	dword [ebp-12]
	fsub	dword [_145]
	fstp	dword [ebp-12]
_106:
	push	68
	call	_brl_polledinput_KeyDown
	add	esp,4
	cmp	eax,0
	je	_107
	fld	dword [ebp-12]
	fadd	dword [_146]
	fstp	dword [ebp-12]
_107:
	push	81
	call	_brl_polledinput_KeyDown
	add	esp,4
	cmp	eax,0
	je	_108
	fld	dword [ebp-16]
	fadd	dword [_147]
	fstp	dword [ebp-16]
_108:
	push	69
	call	_brl_polledinput_KeyDown
	add	esp,4
	cmp	eax,0
	je	_109
	fld	dword [ebp-16]
	fsub	dword [_148]
	fstp	dword [ebp-16]
_109:
	push	dword [ebp-8]
	push	dword [ebp-16]
	push	dword [ebp-12]
	push	dword [ebp-32]
	call	_angros_openb3d_MoveEntity
	add	esp,16
	push	77
	call	_brl_polledinput_KeyHit
	add	esp,4
	cmp	eax,0
	je	_110
	add	ebx,1
	cmp	ebx,3
	jne	_111
	mov	ebx,0
_111:
	cmp	ebx,0
	jne	_112
	push	edi
	push	dword [ebp-80]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	edi
	push	dword [ebp-68]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	edi
	push	dword [ebp-64]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	edi
	push	dword [ebp-72]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	edi
	push	dword [ebp-76]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	edi
	push	dword [ebp-44]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	edi
	push	dword [ebp-56]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	edi
	push	dword [ebp-60]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	edi
	push	dword [ebp-48]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	edi
	push	dword [ebp-52]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	jmp	_113
_112:
	cmp	ebx,1
	jne	_114
	push	dword [ebp-24]
	push	dword [ebp-80]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	dword [ebp-24]
	push	dword [ebp-68]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	dword [ebp-24]
	push	dword [ebp-64]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	dword [ebp-24]
	push	dword [ebp-72]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	dword [ebp-24]
	push	dword [ebp-76]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	dword [ebp-24]
	push	dword [ebp-44]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	dword [ebp-24]
	push	dword [ebp-56]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	dword [ebp-24]
	push	dword [ebp-60]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	dword [ebp-24]
	push	dword [ebp-48]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	dword [ebp-24]
	push	dword [ebp-52]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	jmp	_115
_114:
	cmp	ebx,2
	jne	_116
	push	dword [ebp-20]
	push	dword [ebp-80]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	dword [ebp-20]
	push	dword [ebp-68]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	dword [ebp-20]
	push	dword [ebp-64]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	dword [ebp-20]
	push	dword [ebp-72]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	dword [ebp-20]
	push	dword [ebp-76]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	dword [ebp-20]
	push	dword [ebp-44]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	dword [ebp-20]
	push	dword [ebp-56]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	dword [ebp-20]
	push	dword [ebp-60]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	dword [ebp-20]
	push	dword [ebp-48]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
	push	dword [ebp-20]
	push	dword [ebp-52]
	call	_angros_openb3d_ShadeEntity
	add	esp,8
_116:
_115:
_113:
_110:
	push	76
	call	_brl_polledinput_KeyHit
	add	esp,4
	cmp	eax,0
	je	_117
	add	esi,1
	cmp	esi,3
	jne	_118
	mov	esi,0
_118:
_117:
	cmp	esi,0
	jne	_119
	push	0
	push	0
	push	0
	push	0
	push	dword [ebp-36]
	call	_angros_openb3d_RotateEntity
	add	esp,20
	push	0
	push	0
	push	1067030938
	push	0
	push	dword [ebp-36]
	call	_angros_openb3d_PositionEntity
	add	esp,20
	push	0
	push	0
	push	0
	push	0
	push	dword [ebp-88]
	call	_angros_openb3d_PositionEntity
	add	esp,20
_119:
	cmp	esi,1
	jne	_120
	push	0
	push	1077936128
	push	1067030938
	push	0
	push	dword [ebp-36]
	call	_angros_openb3d_PositionEntity
	add	esp,20
	push	0
	push	0
	push	1077936128
	push	0
	push	dword [ebp-88]
	call	_angros_openb3d_TurnEntity
	add	esp,20
_120:
	cmp	esi,2
	jne	_121
	push	0
	push	0
	push	1067030938
	push	0
	push	dword [ebp-36]
	call	_angros_openb3d_PositionEntity
	add	esp,20
	push	0
	push	0
	push	0
	push	0
	push	dword [ebp-88]
	call	_angros_openb3d_RotateEntity
	add	esp,20
	push	0
	push	0
	push	0
	push	dword [ebp-84]
	call	_angros_openb3d_EntityYaw
	add	esp,8
	sub	esp,4
	fstp	dword [esp]
	push	0
	push	dword [ebp-84]
	call	_angros_openb3d_EntityPitch
	add	esp,8
	sub	esp,4
	fstp	dword [esp]
	push	dword [ebp-36]
	call	_angros_openb3d_RotateEntity
	add	esp,20
	push	0
	push	0
	push	dword [ebp-32]
	call	_angros_openb3d_EntityZ
	add	esp,8
	sub	esp,4
	fstp	dword [esp]
	push	0
	push	dword [ebp-32]
	call	_angros_openb3d_EntityY
	add	esp,8
	sub	esp,4
	fstp	dword [esp]
	push	0
	push	dword [ebp-32]
	call	_angros_openb3d_EntityX
	add	esp,8
	sub	esp,4
	fstp	dword [esp]
	push	dword [ebp-36]
	call	_angros_openb3d_PositionEntity
	add	esp,20
_121:
	push	0
	push	-1110651699
	push	1056964608
	push	0
	push	dword [ebp-44]
	call	_angros_openb3d_TurnEntity
	add	esp,20
	call	_angros_openb3d_RenderWorld
	add	dword [ebp-40],1
	call	_bbMilliSecs
	sub	eax,dword [ebp-96]
	cmp	eax,1000
	jl	_122
	call	_bbMilliSecs
	mov	dword [ebp-96],eax
	mov	eax,dword [ebp-40]
	mov	dword [ebp-92],eax
	mov	dword [ebp-40],0
_122:
	push	dword [ebp-92]
	call	_bbStringFromInt
	add	esp,4
	push	eax
	push	_46
	call	_bbStringConcat
	add	esp,8
	push	eax
	push	0
	push	0
	call	_angros_openb3d_Text
	add	esp,12
	push	esi
	call	_bbStringFromInt
	add	esp,4
	push	eax
	push	_48
	push	ebx
	call	_bbStringFromInt
	add	esp,4
	push	eax
	push	_47
	call	_bbStringConcat
	add	esp,8
	push	eax
	call	_bbStringConcat
	add	esp,8
	push	eax
	call	_bbStringConcat
	add	esp,8
	push	eax
	push	20
	push	0
	call	_angros_openb3d_Text
	add	esp,12
	push	0
	push	dword [ebp-32]
	call	_angros_openb3d_EntityZ
	add	esp,8
	sub	esp,4
	fstp	dword [esp]
	call	_bbStringFromFloat
	add	esp,4
	push	eax
	push	_49
	push	0
	push	dword [ebp-32]
	call	_angros_openb3d_EntityY
	add	esp,8
	sub	esp,4
	fstp	dword [esp]
	call	_bbStringFromFloat
	add	esp,4
	push	eax
	push	_49
	push	0
	push	dword [ebp-32]
	call	_angros_openb3d_EntityX
	add	esp,8
	sub	esp,4
	fstp	dword [esp]
	call	_bbStringFromFloat
	add	esp,4
	push	eax
	push	_1
	call	_bbStringConcat
	add	esp,8
	push	eax
	call	_bbStringConcat
	add	esp,8
	push	eax
	call	_bbStringConcat
	add	esp,8
	push	eax
	call	_bbStringConcat
	add	esp,8
	push	eax
	call	_bbStringConcat
	add	esp,8
	push	eax
	push	40
	push	0
	call	_angros_openb3d_Text
	add	esp,12
	push	-1
	call	_brl_graphics_Flip
	add	esp,4
_43:
	push	27
	call	_brl_polledinput_KeyDown
	add	esp,4
	cmp	eax,0
	je	_45
_44:
	call	_bbEnd
	mov	eax,0
	jmp	_53
_53:
	pop	edi
	pop	esi
	pop	ebx
	mov	esp,ebp
	pop	ebp
	ret
_bb_MouseLook:
	push	ebp
	mov	ebp,esp
	sub	esp,12
	push	ebx
	push	esi
	push	edi
	mov	esi,dword [ebp+8]
	mov	edi,dword [ebp+12]
	mov	ebx,dword [ebp+16]
_52:
	call	_bbMilliSecs
	sub	eax,ebx
_50:
	cmp	eax,0
	jle	_52
_51:
	fld	dword [_171]
	fstp	dword [ebp-4]
	fld	dword [_172]
	fstp	dword [ebp-8]
	call	_brl_polledinput_MouseX
	sub	eax,320
	mov	dword [ebp+-12],eax
	fild	dword [ebp+-12]
	fsub	dword [ebp-4]
	fdiv	dword [_173]
	fadd	dword [ebp-4]
	fstp	dword [ebp-4]
	call	_brl_polledinput_MouseY
	sub	eax,240
	mov	dword [ebp+-12],eax
	fild	dword [ebp+-12]
	fsub	dword [ebp-8]
	fdiv	dword [_174]
	fadd	dword [ebp-8]
	fstp	dword [ebp-8]
	push	240
	push	320
	call	_brl_system_MoveMouse
	add	esp,8
	push	0
	push	0
	fld	dword [ebp-4]
	fchs
	sub	esp,4
	fstp	dword [esp]
	push	0
	push	esi
	call	_angros_openb3d_TurnEntity
	add	esp,20
	push	0
	push	0
	push	0
	push	dword [ebp-8]
	push	edi
	call	_angros_openb3d_TurnEntity
	add	esp,20
	mov	eax,0
	jmp	_59
_59:
	pop	edi
	pop	esi
	pop	ebx
	mov	esp,ebp
	pop	ebp
	ret
_bb_CreateCubeUV:
	push	ebp
	mov	ebp,esp
	push	ebx
	push	esi
	mov	eax,dword [ebp+16]
	push	eax
	call	_angros_openb3d_CreateMesh
	add	esp,4
	mov	ebx,eax
	push	_bbNullObject
	push	ebx
	call	_angros_openb3d_CreateSurface
	add	esp,8
	mov	esi,eax
	push	0
	push	0
	push	0
	push	-1082130432
	push	-1082130432
	push	-1082130432
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	0
	push	0
	push	0
	push	-1082130432
	push	1065353216
	push	-1082130432
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	0
	push	0
	push	0
	push	-1082130432
	push	1065353216
	push	1065353216
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	0
	push	0
	push	0
	push	-1082130432
	push	-1082130432
	push	1065353216
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	0
	push	0
	push	0
	push	1065353216
	push	-1082130432
	push	-1082130432
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	0
	push	0
	push	0
	push	1065353216
	push	1065353216
	push	-1082130432
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	0
	push	0
	push	0
	push	1065353216
	push	1065353216
	push	1065353216
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	0
	push	0
	push	0
	push	1065353216
	push	-1082130432
	push	1065353216
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	0
	push	0
	push	0
	push	1065353216
	push	-1082130432
	push	-1082130432
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	0
	push	0
	push	0
	push	1065353216
	push	1065353216
	push	-1082130432
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	0
	push	0
	push	0
	push	1065353216
	push	1065353216
	push	1065353216
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	0
	push	0
	push	0
	push	1065353216
	push	-1082130432
	push	1065353216
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	0
	push	0
	push	0
	push	-1082130432
	push	-1082130432
	push	-1082130432
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	0
	push	0
	push	0
	push	-1082130432
	push	1065353216
	push	-1082130432
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	0
	push	0
	push	0
	push	-1082130432
	push	1065353216
	push	1065353216
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	0
	push	0
	push	0
	push	-1082130432
	push	-1082130432
	push	1065353216
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	0
	push	0
	push	0
	push	1065353216
	push	-1082130432
	push	-1082130432
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	0
	push	0
	push	0
	push	1065353216
	push	1065353216
	push	-1082130432
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	0
	push	0
	push	0
	push	1065353216
	push	1065353216
	push	1065353216
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	0
	push	0
	push	0
	push	1065353216
	push	-1082130432
	push	1065353216
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	0
	push	0
	push	0
	push	-1082130432
	push	-1082130432
	push	-1082130432
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	0
	push	0
	push	0
	push	-1082130432
	push	1065353216
	push	-1082130432
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	0
	push	0
	push	0
	push	-1082130432
	push	1065353216
	push	1065353216
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	0
	push	0
	push	0
	push	-1082130432
	push	-1082130432
	push	1065353216
	push	esi
	call	_angros_openb3d_AddVertex
	add	esp,28
	push	-1082130432
	push	0
	push	0
	push	0
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	-1082130432
	push	0
	push	0
	push	1
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	-1082130432
	push	0
	push	0
	push	2
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	-1082130432
	push	0
	push	0
	push	3
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	1065353216
	push	0
	push	0
	push	4
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	1065353216
	push	0
	push	0
	push	5
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	1065353216
	push	0
	push	0
	push	6
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	1065353216
	push	0
	push	0
	push	7
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	0
	push	-1082130432
	push	0
	push	8
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	0
	push	1065353216
	push	0
	push	9
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	0
	push	1065353216
	push	0
	push	10
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	0
	push	-1082130432
	push	0
	push	11
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	0
	push	-1082130432
	push	0
	push	12
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	0
	push	1065353216
	push	0
	push	13
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	0
	push	1065353216
	push	0
	push	14
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	0
	push	-1082130432
	push	0
	push	15
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	0
	push	0
	push	-1082130432
	push	16
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	0
	push	0
	push	-1082130432
	push	17
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	0
	push	0
	push	1065353216
	push	18
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	0
	push	0
	push	1065353216
	push	19
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	0
	push	0
	push	-1082130432
	push	20
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	0
	push	0
	push	-1082130432
	push	21
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	0
	push	0
	push	1065353216
	push	22
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	0
	push	0
	push	1065353216
	push	23
	push	esi
	call	_angros_openb3d_VertexNormal
	add	esp,20
	push	0
	push	0
	push	dword [ebp+12]
	push	0
	push	0
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	0
	push	0
	push	1
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	0
	push	dword [ebp+8]
	push	2
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	dword [ebp+12]
	push	dword [ebp+8]
	push	3
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	dword [ebp+12]
	push	dword [ebp+8]
	push	4
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	0
	push	dword [ebp+8]
	push	5
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	0
	push	0
	push	6
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	dword [ebp+12]
	push	0
	push	7
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	dword [ebp+12]
	push	0
	push	8
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	0
	push	0
	push	9
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	0
	push	dword [ebp+8]
	push	10
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	dword [ebp+12]
	push	dword [ebp+8]
	push	11
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	0
	push	0
	push	12
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	dword [ebp+12]
	push	0
	push	13
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	dword [ebp+12]
	push	dword [ebp+8]
	push	14
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	0
	push	dword [ebp+8]
	push	15
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	dword [ebp+12]
	push	0
	push	16
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	0
	push	0
	push	17
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	0
	push	dword [ebp+8]
	push	18
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	dword [ebp+12]
	push	dword [ebp+8]
	push	19
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	dword [ebp+12]
	push	dword [ebp+8]
	push	20
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	0
	push	dword [ebp+8]
	push	21
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	0
	push	0
	push	22
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	dword [ebp+12]
	push	0
	push	23
	push	esi
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	2
	push	1
	push	0
	push	esi
	call	_angros_openb3d_AddTriangle
	add	esp,16
	push	3
	push	2
	push	0
	push	esi
	call	_angros_openb3d_AddTriangle
	add	esp,16
	push	4
	push	5
	push	6
	push	esi
	call	_angros_openb3d_AddTriangle
	add	esp,16
	push	4
	push	6
	push	7
	push	esi
	call	_angros_openb3d_AddTriangle
	add	esp,16
	push	9
	push	13
	push	14
	push	esi
	call	_angros_openb3d_AddTriangle
	add	esp,16
	push	9
	push	14
	push	10
	push	esi
	call	_angros_openb3d_AddTriangle
	add	esp,16
	push	15
	push	12
	push	8
	push	esi
	call	_angros_openb3d_AddTriangle
	add	esp,16
	push	11
	push	15
	push	8
	push	esi
	call	_angros_openb3d_AddTriangle
	add	esp,16
	push	19
	push	18
	push	22
	push	esi
	call	_angros_openb3d_AddTriangle
	add	esp,16
	push	19
	push	22
	push	23
	push	esi
	call	_angros_openb3d_AddTriangle
	add	esp,16
	push	21
	push	17
	push	16
	push	esi
	call	_angros_openb3d_AddTriangle
	add	esp,16
	push	20
	push	21
	push	16
	push	esi
	call	_angros_openb3d_AddTriangle
	add	esp,16
	mov	eax,ebx
	jmp	_64
_64:
	pop	esi
	pop	ebx
	mov	esp,ebp
	pop	ebp
	ret
_bb_CreateQuadUV:
	push	ebp
	mov	ebp,esp
	sub	esp,12
	push	ebx
	push	esi
	push	edi
	mov	eax,dword [ebp+16]
	push	eax
	call	_angros_openb3d_CreateMesh
	add	esp,4
	mov	esi,eax
	push	_bbNullObject
	push	esi
	call	_angros_openb3d_CreateSurface
	add	esp,8
	mov	ebx,eax
	push	0
	push	0
	push	0
	push	-1082130432
	push	0
	push	-1082130432
	push	ebx
	call	_angros_openb3d_AddVertex
	add	esp,28
	mov	edi,eax
	push	0
	push	0
	push	0
	push	1065353216
	push	0
	push	-1082130432
	push	ebx
	call	_angros_openb3d_AddVertex
	add	esp,28
	mov	dword [ebp-8],eax
	push	0
	push	0
	push	0
	push	-1082130432
	push	0
	push	1065353216
	push	ebx
	call	_angros_openb3d_AddVertex
	add	esp,28
	mov	dword [ebp-12],eax
	push	0
	push	0
	push	0
	push	1065353216
	push	0
	push	1065353216
	push	ebx
	call	_angros_openb3d_AddVertex
	add	esp,28
	mov	dword [ebp-4],eax
	push	dword [ebp-4]
	push	dword [ebp-8]
	push	edi
	push	ebx
	call	_angros_openb3d_AddTriangle
	add	esp,16
	push	dword [ebp-4]
	push	edi
	push	dword [ebp-12]
	push	ebx
	call	_angros_openb3d_AddTriangle
	add	esp,16
	push	0
	push	0
	push	0
	push	0
	push	edi
	push	ebx
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	0
	push	dword [ebp+8]
	push	dword [ebp-8]
	push	ebx
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	dword [ebp+12]
	push	0
	push	dword [ebp-12]
	push	ebx
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	0
	push	0
	push	dword [ebp+12]
	push	dword [ebp+8]
	push	dword [ebp-4]
	push	ebx
	call	_angros_openb3d_VertexTexCoords
	add	esp,24
	push	esi
	call	_angros_openb3d_UpdateNormals
	add	esp,4
	mov	eax,esi
	jmp	_69
_69:
	pop	edi
	pop	esi
	pop	ebx
	mov	esp,ebp
	pop	ebp
	ret
	section	"data" data writeable align 8
	align	4
_123:
	dd	0
	align	4
_22:
	dd	_bbStringClass
	dd	2147483647
	dd	13
	dw	109,101,100,105,97,47,115,107,121,46,98,109,112
	align	4
_136:
	dd	0x3dcccccd
	align	4
_23:
	dd	_bbStringClass
	dd	2147483647
	dd	20
	dw	109,101,100,105,97,47,48,55,95,68,73,70,70,85,83,69
	dw	46,106,112,103
	align	4
_24:
	dd	_bbStringClass
	dd	2147483647
	dd	19
	dw	109,101,100,105,97,47,48,55,95,78,79,82,77,65,76,46
	dw	106,112,103
	align	4
_25:
	dd	_bbStringClass
	dd	2147483647
	dd	17
	dw	109,101,100,105,97,47,48,55,95,68,73,83,80,46,106,112
	dw	103
	align	4
_27:
	dd	_bbStringClass
	dd	2147483647
	dd	25
	dw	115,104,97,100,101,114,115,47,98,117,109,112,109,97,112,46
	dw	102,114,97,103,46,103,108,115,108
	align	4
_26:
	dd	_bbStringClass
	dd	2147483647
	dd	25
	dw	115,104,97,100,101,114,115,47,98,117,109,112,109,97,112,46
	dw	118,101,114,116,46,103,108,115,108
	align	4
_1:
	dd	_bbStringClass
	dd	2147483647
	dd	0
	align	4
_28:
	dd	_bbStringClass
	dd	2147483647
	dd	8
	dw	99,111,108,111,114,77,97,112
	align	4
_29:
	dd	_bbStringClass
	dd	2147483647
	dd	9
	dw	110,111,114,109,97,108,77,97,112
	align	4
_30:
	dd	_bbStringClass
	dd	2147483647
	dd	8
	dw	118,84,97,110,103,101,110,116
	align	4
_31:
	dd	_bbStringClass
	dd	2147483647
	dd	9
	dw	105,110,118,82,97,100,105,117,115
	align	4
_33:
	dd	_bbStringClass
	dd	2147483647
	dd	26
	dw	115,104,97,100,101,114,115,47,98,117,109,112,109,97,112,50
	dw	46,102,114,97,103,46,103,108,115,108
	align	4
_32:
	dd	_bbStringClass
	dd	2147483647
	dd	26
	dw	115,104,97,100,101,114,115,47,98,117,109,112,109,97,112,50
	dw	46,118,101,114,116,46,103,108,115,108
	align	4
_34:
	dd	_bbStringClass
	dd	2147483647
	dd	7
	dw	116,97,110,103,101,110,116
	align	4
_35:
	dd	_bbStringClass
	dd	2147483647
	dd	8
	dw	101,109,105,115,115,105,111,110
	align	4
_36:
	dd	_bbStringClass
	dd	2147483647
	dd	7
	dw	97,116,116,115,112,101,99
	align	4
_38:
	dd	_bbStringClass
	dd	2147483647
	dd	26
	dw	115,104,97,100,101,114,115,47,98,117,109,112,109,97,112,51
	dw	46,102,114,97,103,46,103,108,115,108
	align	4
_37:
	dd	_bbStringClass
	dd	2147483647
	dd	26
	dw	115,104,97,100,101,114,115,47,98,117,109,112,109,97,112,51
	dw	46,118,101,114,116,46,103,108,115,108
	align	4
_39:
	dd	_bbStringClass
	dd	2147483647
	dd	11
	dw	115,112,101,99,117,108,97,114,77,97,112
	align	4
_40:
	dd	_bbStringClass
	dd	2147483647
	dd	20
	dw	108,105,103,104,116,114,97,100,105,117,115,91,48,93,46,70
	dw	108,111,97,116
	align	4
_41:
	dd	_bbStringClass
	dd	2147483647
	dd	12
	dw	116,101,120,116,117,114,101,115,99,97,108,101
	align	4
_42:
	dd	_bbStringClass
	dd	2147483647
	dd	8
	dw	118,97,109,98,105,101,110,116
	align	4
_140:
	dd	0x0
	align	4
_141:
	dd	0x0
	align	4
_142:
	dd	0x0
	align	4
_143:
	dd	0x3dcccccd
	align	4
_144:
	dd	0x3dcccccd
	align	4
_145:
	dd	0x3dcccccd
	align	4
_146:
	dd	0x3dcccccd
	align	4
_147:
	dd	0x3dcccccd
	align	4
_148:
	dd	0x3dcccccd
	align	4
_46:
	dd	_bbStringClass
	dd	2147483647
	dd	5
	dw	70,80,83,58,32
	align	4
_48:
	dd	_bbStringClass
	dd	2147483647
	dd	18
	dw	44,32,76,58,32,108,105,103,104,116,32,109,111,100,101,32
	dw	61,32
	align	4
_47:
	dd	_bbStringClass
	dd	2147483647
	dd	38
	dw	87,83,65,68,58,32,109,111,118,101,32,99,97,109,101,114
	dw	97,44,32,77,58,32,98,117,109,112,32,109,97,112,32,109
	dw	111,100,101,32,61,32
	align	4
_49:
	dd	_bbStringClass
	dd	2147483647
	dd	1
	dw	32
	align	4
_171:
	dd	0x0
	align	4
_172:
	dd	0x0
	align	4
_173:
	dd	0x40800000
	align	4
_174:
	dd	0x40800000
